/* BODY */

body {
  padding: 0 5%;
  margin: 0;
}

@font-face {
  font-family: "Yorkshire-Regular";
  src: url('../fonts/Yorkshire-Regular.ttf');
}

.about > h1, .experiences > h1, .formations > h1, .skills > h1 {
  opacity: 0;
}

/* HEADER */

.navbar {
  margin: 0 auto;
}

.navbar-name {
  display: flex;
  float: left;
  width: 25%;
}
.navbar-menu {
  display: flex;
  float: right;
  width: 75%;
}

nav.navbar-menu {
  width: 100%;
  display: flex;
  justify-content: flex-end;

}
ul.navbar-menu {
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  flex-wrap: wrap;
  justify-content: space-evenly;
  list-style: none;
}

ul.navbar-menu > li > a {
  font-family: 'Raleway', sans-serif;
  font-size: 0.6em;
  color: #333333;
  letter-spacing: 0.3em;
  text-transform: uppercase;
  text-decoration: none;
}

a.navbar-name {
  font-family: 'Yorkshire-Regular';
  font-size: 3em;
  color: #333333;
  text-transform: none;
  text-decoration: none;
}

/* END HEADER */

/* ABOUT */

div.about {
  display: inline-flex;
}

.about-left {
  display: flex;
  float: left;
  width: 40%;
}
.about-right {
  display: flex;
  float: right;
  width: 60%;
}

.about-left-img {
  max-width: 100%;
  z-index: 2;
}
.about-left-img-2 {
  max-width: 100%;
  z-index: 3;
}

h4.title-line {
  font-family: 'Playfair Display', serif;
  font-size: 2.5em;
  text-transform: uppercase;
  letter-spacing: 6px;
  position: relative;
  color: #333333;
  font-weight: 500;
  margin: 20px 0 0 80px;
  padding-left: 25px;

}
h4.title-line:before {
  position: absolute;
  width: 30px;
  left: -40px;
  content: "";
  display: block;
  height: 2px;
  background: #A0482E;
  top: 23px;
}
.about-text {
  margin-left: 5%;
}
.about-text > p {
  margin-left: 40px;
  font-family: 'Raleway', sans-serif;
  font-size: 0.9em;
  color: #333333;
  letter-spacing: 0.1em;
  line-height: 2.1em;
  width: 86%;
}

.about-signature {
  font-family: 'Yorkshire-Regular';
  font-size: 3em;
  color: #333333;
  margin-left: 40px;
}

/* END ABOUT */

/* EXPERIENCES */
.experiences {
  background-color: #FAF6F3;
  margin: -60px -6% 0 -6%;
  padding: 30px 6% 30px 6%;
}
.experiences h4.title-line, .formations h4.title-line, .skills h4.title-line, .hobbies h4.title-line {
  text-align: center;
  margin-left: 0;
  padding-left: 0;
}

.experiences h4.title-line:before, .formations h4.title-line:before, .skills h4.title-line:before, .hobbies h4.title-line:before {
  position: absolute;
  width: 25%;
  left: 70px;
  content: "";
  display: block;
  height: 2px;
  background: #A0482E;
  top: 23px;
}
.experiences h4.title-line:after, .formations h4.title-line:after, .skills h4.title-line:after, .hobbies h4.title-line:after {
  position: absolute;
  width: 25%;
  right: 70px;
  content: "";
  display: block;
  height: 2px;
  background: #A0482E;
  top: 23px;
}

ul.nav-experiences {
  display: flex;
  list-style: none;
  justify-content: space-between;
  text-align: center;
  padding: 0;
  width: 100%;
}
li.nav-experiences {
  background-color: #FFFFFF;
}

a.nav-experiences {
  text-decoration: none;
}

div.nav-experiences {
  border: solid 2px #333333;
  height: 170px;
  line-height: 60px;
  width: 300px;
  padding: 0.5em 0.5em;
}

h2.nav-experiences {
  font-family: 'Playfair Display', serif;
  font-size: 1.25em;
  color: #333333;
  letter-spacing: 0.2em;
  text-transform: uppercase;
  line-height: 150%;
  text-align: center;
  margin: 5% 0 5% 0;
}
h3.nav-experiences {
  color: #333333;
  font-family: 'Raleway', sans-serif;
  text-transform: uppercase;
  font-weight: 500;
  line-height: 2.4;
  letter-spacing: 0.15em;
  font-size: 0.7em;
  text-align: center;
}

ul.nav-experiences-tag {
  display: flex;
  justify-content: space-evenly;
  line-height: 1.5;
  margin-top: 5%;
  list-style: none;
  padding-left: 0;
}
li.nav-experiences-tag {
  background-color: #A0482E;
  padding: 3px 7.5px;
  margin-top: 5%;
  color: #fff;
  text-align: center;
  font-family: 'Raleway', sans-serif;
  text-transform: uppercase;
  font-weight: 400;
  line-height: 1.8;
  letter-spacing: 0.15em;
  font-size: 0.65em;
}

.content-experience {
  display: block;
  background-color: #fff;
  margin: 1.8em 0 3.6em 0;
}

@media screen and (min-width: 768px) {
  h3.nav-experiences.no-margin {
    margin:0;
  }
  ul.nav-experiences-tag.no-margin {
    margin-top: -10px;
  }
}
/* BOUTON CHANGER CONTENU */
div.tab {
  display: none;
}
div.tab:target {
  display: block;
  padding-bottom: 2em;
  height: 31em;
  margin-top: -300px;
  background-color: transparent;
  border-top: solid 300px #FAF6F3;
}
/* END BOUTON */

.title-exp {
  display: inline;
  vertical-align: middle;
  padding-left: 1em;
}
h2.title-exp {
  font-family: 'Yorkshire-Regular';
  font-size: 3em;
  color: #333333;
  text-transform: none;
  font-weight: 100;
  letter-spacing: 0;
}
strong.title-exp {
  font-family: 'Raleway', sans-serif;
  color: #A0482E;
  text-transform: none;
  font-weight: 100;
  font-size: 2.3em;
}
h3.title-exp {
  font-family: 'Playfair Display', serif;
  font-size: 1.25em;
  color: #333333;
  letter-spacing: 0.2em;
  text-transform: uppercase;
}
h4.title-exp {
  font-family: 'Playfair Display', serif;
  font-size: 1em;
  font-weight: 200;
  color: #A0482E;
  letter-spacing: 0.2em;
  text-transform: uppercase;
  display: flex;
  padding-left: 3.5em;
  margin-bottom: 0.5em;
}
em.title-exp {
  line-height: 1;
  padding-left: 0;
  color: #333333;
  font-family: 'Raleway', sans-serif;
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 0.15em;
  font-size: 0.9em;

}

.content-exp > p {
  padding-bottom: 0.5em;
  font-family: 'Raleway', sans-serif;
  font-size: 0.9em;
  color: #333333;
  letter-spacing: 0.1em;
  line-height: 2.1em;
  width: 90%;
  display: block;
  margin: 0 auto;
}

table.content-exp {
  width: 60%;
  padding-left: 3.5em;
}
th.content-exp {
  font-family: 'Playfair Display', serif;
  font-size: 1em;
  font-weight: 200;
  color: #A0482E;
  letter-spacing: 0.2em;
  text-transform: uppercase;
  text-align: left;
  padding-top: 1em;
}
td.content-exp {
  font-family: 'Raleway', sans-serif;
  font-size: 0.9em;
  color: #333333;
  letter-spacing: 0.1em;
  line-height: 2.1em;
}
/* END EXPERIENCES */


/* FORMATIONS */

.formations-timeline * { /* Permet de centrer les ronds */
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  outline: none;
}

.formations-timeline {
  width: 100%;
  padding: 50px 0;
  margin: 50px auto;
  position: relative;
  overflow: hidden;
}

.formations-timeline:before {
  content: '';
  position: absolute;
  top: 0;
  left: 50%;
  margin-left: -1px;
  width: 2px;
  height: 100%;
  background: #A0482E;
  z-index: 1
}

.timeline-block {
  width: calc(50% + 8px);
  display: flex;
  justify-content: space-between;
  clear: both;
}

.timeline-block-right {
  float: right;
}

.timeline-block-left {
  float: left;
  direction: rtl; /* Centrer à droite */
}

.round {
  width: 16px;
  height: 16px;
  border-radius: 50%;
  border: 2px solid #fff;
  background: #333333;
  margin-top: 10px;
  z-index: 9999;
}

.timeline-content {
  width: 95%;
  padding: 0 15px;
  color: #333333;
}

.timeline-content h3 {
  margin-top: 5px;
  margin-bottom: 5px;
  font-family: 'Playfair Display', serif;
  font-size: 1em;
  font-weight: 600;
  line-height: 1.7;
  color: #333333;
  letter-spacing: 0.2em;
  text-transform: uppercase;
}

.timeline-content span {
  background-color: #A0482E;
  padding: 3px 7.5px;
  margin-top: 5%;
  color: #fff;
  text-align: center;
  font-family: 'Raleway', sans-serif;
  text-transform: uppercase;
  font-weight: 400;
  line-height: 1.8;
  letter-spacing: 0.15em;
  font-size: 0.65em;
}

.timeline-content p {
  font-family: 'Raleway', sans-serif;
  font-size: 0.9em;
  color: #333333;
  letter-spacing: 0.1em;
  line-height: 2.1em;
}

/* END FORMATIONS */


/* SKILLS */

.skills {
  background-color: #FAF6F3;
  margin: -30px -6% 0 -6%;
  padding: 30px 6% 0 6%;
}

.skills-spirit {
  color: #333333;
  font-family: 'Yorkshire-Regular';
  font-size: 3.5em;
  display: flex;
  justify-content: space-evenly;
  width: 75%;
  list-style: none;
  margin: 30px auto;
  padding: 0;
}

table.skills-languages {
  width: 75%;
  margin: 0 auto;
  display: flex;
  justify-content: space-evenly;
  padding-bottom: 30px;
}
tbody {
  width: 100%;
}
th.skills-languages {
  font-family: 'Playfair Display', serif;
  font-size: 1.5em;
  font-weight: 200;
  color: #A0482E;
  letter-spacing: 0.2em;
  text-transform: uppercase;
  text-align: left;
  padding-top: 1em;
}
.skills-languages tr {
  display: flex;
  justify-content: space-around;
}
td.skills-languages {
  letter-spacing: 0.5em;
  font-size: 1.5em;
  font-family: 'Arial';
  font-weight: 900;
  color: #333333;
}
td.skills-languages > em {
  opacity: 0.5;
}

.skills-grid-container {
  display: grid;
  grid-gap: 10px;
  grid-template-columns: auto auto auto auto;
  margin: 0 auto;
  width: 100%;
  justify-content: space-evenly;
  padding: 2em 0;
  background-color: #fff;
  padding-bottom: 2em;
}
.skills-grid-items {
  display: inline-grid;
}
.skills-grid-items > span {
  display: flex;
  margin: 0 auto;
  padding: 0.5em 0;
  color: #333333;
  font-family: 'Raleway', sans-serif;
  text-transform: uppercase;
  font-weight: 500;
  line-height: 2.4;
  letter-spacing: 0.15em;
  font-size: 1em;
  text-align: center;
}
img.skills-grid-items {
  width: 50px;
  height: 50px;
}

/* END SKILLS */



/* HOBBIES */

.hobbies a {
  text-decoration: none;
}

.hobbies-grid-container {
  display: grid;
  grid-gap: 10px;
  grid-template-columns: auto auto auto auto;
  margin: 0 auto;
  width: 100%;
  justify-content: space-evenly;
  padding: 2em 0;
  background-color: #fff;
  padding-bottom: 2em;
}
.hobbies-grid-items {
  display: inline-grid;
}

.hobbies-grid-items > span {
  display: flex;
  margin: 0 auto;
  padding: 0.5em 0;
  color: #333333;
  font-family: 'Raleway', sans-serif;
  text-transform: uppercase;
  font-weight: 500;
  line-height: 2.4;
  letter-spacing: 0.15em;
  font-size: 1em;
  text-align: center;
}
img.hobbies-grid-items {
  width: 50px;
  height: 50px;
}

/* END HOBBIES */


/* FOOTER */
footer {
  background-color: #A0482E;
  margin: 0 -8%;
  padding: 5% 5% 2% 5%;
}

footer .about-signature {
  color: #fff;
  display: flex;
  float: left;
  margin-top: -0.6em;
}

footer ul {
  margin: 0 auto;
  display: flex;
  justify-content: flex-end;
  list-style: none;
  letter-spacing: 4em;
}

footer a {
  font-size: 1em;
  color: #fff;
  text-decoration: none;
}

.copyright {
  display: flex;
  width: 100%;
}

.copyright span {
  color: #fff;
  font-family: 'Raleway';
  letter-spacing: 0.3em;
  font-size: 0.5em;
  display: block;
  margin: 0 auto;
  padding-top: 3%;
}

/* END FOOTER */




/* ------ MEDIA  MOBILE ------- */

@media screen and (max-width: 768px) {

  .no-mobile {
    display: none;
  }

  /* MEDIA HEADER */
  .navbar-name, .navbar-menu {
    display: flex;
    float: none;
    width: 100%;
    justify-content: center;
    padding: 0
  }
  /* END MEDIA HEADER */

  /* MEDIA ABOUT */
  div.about {
    display: block;
    margin-top: 5%;
  }
  .about-left, .about-right {
    display: flex;
    float: none;
    width: 100%;
    justify-content: center;
  }
  .about-text {
    margin-left: 0;
  }
  h4.title-line {
    margin: 20px 0 0 7.2%;
    font-size: 1.5em;

  }
  h4.title-line:before {
    position: relative;
    top: 15px;
    width: 13%;
    left: -50px;
  }
  .about-text > p {
    margin-left: 0;
    width: 100%;
    text-align: justify;
    font-size: 0.75em;
    line-height: 1.5em;
  }
  .about-signature {
    margin-left: 0;
  }
  /* END MEDIA ABOUT */

  /* MEDIA EXPERIENCES */
  .experiences {
    margin: 0 -9% 0 -9%;
    padding: 10px 6% 10px 6%;
  }
  .experiences h4.title-line, .formations h4.title-line {
    margin-top: -10%;
    font-size: 1.5em;
  }
  .skills h4.title-line {
    margin-top: 0;
    font-size: 1.5em;
  }
  .hobbies h4.title-line {
    font-size: 1.5em;
  }
  .experiences h4.title-line:before, .formations h4.title-line:before, .skills h4.title-line:before, .hobbies h4.title-line:before {
    position: relative;
    top: 15px;
    left: 5px;
    width: 13%;
  }
  .experiences h4.title-line:after, .formations h4.title-line:after, .skills h4.title-line:after, .hobbies h4.title-line:after {
    right: 5px;
    top: 15px;
    width: 13%;
  }
  nav.nav-experiences {
    overflow-x: auto;
  }
  ul.nav-experiences {
    width: 100%;
  }
  li.nav-experiences {
    margin: 10px;
  }
  div.nav-experiences {
    width: 213px;
  }
  h3.nav-experiences {
    width: 85%;
    margin: 0 auto;
  }
  .content-experience {
    margin: 0;
  }
  .title-exp {
    padding-left: 0.25em;
  }
  h3.title-exp {
    font-size: 0.75em;
    line-height: 2;
    position: absolute;
    padding-top: 0.5em;
    padding-left: 1em;
  }
  h4.title-exp {
    padding-left: 1.25em;
  }
  .content-exp > p {
    font-size: 0.75em;
    line-height: 1.5em;
  }
  /* END MEDIA EXPERIENCES */

  /* MEDIA FORMATION */
  .formations-timeline:before {
    left: 8px;
    width: 2px;
  }
  .timeline-block {
    width: 100%;
    margin-bottom: 30px;
  }
  .timeline-block-right {
    float: none;
  }

  .timeline-block-left {
    float: none;
    direction: ltr;
  }
  .timeline-content h3 {
    font-size: 0.75em;
  }
  .timeline-content p {
    font-size: 0.75em;
    line-height: 1.5em;
  }
  table.content-exp {
    padding-left: 1.25em;
    width: 100%;
  }
  th.content-exp {
    font-size: 0.85em;
  }
  td.content-exp {
    font-size: 0.75em;
    line-height: 1.5em;
  }

  /* END  MEDIA FORMATIONS */

  /* MEDIA SKILLS */

  ul.skills-spirit {
    width: 100%;
    margin: 10px auto;
    font-size: 2.5em;
  }

  .skills-grid-container {
    grid-template-columns: auto auto;
  }
  .skills-grid-items > span {
    font-size: 0.7em;
  }
  img.skills-grid-items {
    width: 30px;
    height: 30px;
  }

  table.skills-languages {
    width: 100%;
    padding: 20px 0;
  }
  th.skills-languages {
    font-size: 0.85em;
  }

  /* END MEDIA SKILLS */


  /* MEDIA HOBBIES */
  .hobbies-grid-container {
    grid-template-columns: auto auto;
  }
  /* END MEDIA HOBBIES */


  /* MEDIA FOOTER */
  footer .about-signature {
    width: 100%
  }
  footer .about-signature span {
    display: block;
    margin: 0 auto;
  }
  footer ul {
    margin: 0 auto;
    padding: 0;
    width: 100%;
    justify-content: space-evenly;
    letter-spacing: 0;
  }
  /* END MEDIA FOOTER */

}
/* ------ END MEDIA  MOBILE ------- */


/* ------ MEDIA  TABLETTE ------- */
@media screen and (min-width: 768px) {
  h4.title-line:before {
    width: 13%;
    left: -100px;
  }
  h4.title-line {
    margin: 20px 0 0 11%;
  }
  experiences {
    padding: 20px 6% 20px 6%;
  }
  .experiences h4.title-line:before, .formations h4.title-line:before, .skills h4.title-line:before, .hobbies h4.title-line:before,
  .experiences h4.title-line:after, .formations h4.title-line:after, .skills h4.title-line:after, .hobbies h4.title-line:after {
    width: 23%;
  }
  formations {
    padding: 20px 0;
  }
}



@media all and (min-width: 1024px) and (max-width: 1280px) {
  h4.title-line {
    margin: 20px 0 0 22%;
  }
  h4.title-line:before {
    left: -72px;
  }
  .about-left {
    width: 55%;
  }
  .experiences {
    margin: -60px -6% 0 -6%;
    padding: 0;
  }
  nav.nav-experiences {
    overflow-x: auto;
  }
  li.nav-experiences {
    margin: 5px;
  }
  div.nav-experiences {
    width: 300px;
  }
  .content-experience {
    margin: 0;
  }
}
